option task = { 
  name: "MaxStoredDataM2",
  every: 1h0s,
}

// Data source
data = from(bucket: "TAU_1YEAR_TEST")
    |> range(start: -task.every)
    |> filter(fn: (r) => r["_measurement"] == "Potenza Apparente M2" or r["_measurement"] == "Potenza Attiva M2" or r["_measurement"] == "Power Factor M2")

data
    // Data transformation
    |> aggregateWindow(
        every: 1h,
        fn: max,
    )
    |> map(fn: (r) => ({r with operation: "max"}))
    // Data destination
    |> to(bucket: "TAU_HIST_TEST", org: "dtman")